> For the complete documentation index, see [llms.txt](https://docs.archisketch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.archisketch.com/guide/dev-en/api-sdk/api/image.md).

# Image

## Get Image

> Retrieves image information using the image ID.\
> \
> \`imageUrl\` is provided by the CDN, and image options can be specified with the Query Parameters below.\
> \
> \### CDN Query Parameter\
> \- \`w\` : Width in pixels. If \`h\` is given, it scales down with the same aspect ratio. If both are absent, the original size is used.\
> \- \`h\` : Height in pixels. If \`w\` is given, it scales down with the same aspect ratio. If both are absent, the original size is used.\
> \- \`f\` : Output format. \`jpeg\`, \`jpg\`, \`png\`, \`webp\`. If absent: original format.\
> \- \`q\` : Compression quality. Default value: \`85\`

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"Image"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"paths":{"/api/v1/images/{id}":{"get":{"tags":["Image"],"summary":"Get Image","description":"Retrieves image information using the image ID.\n\n`imageUrl` is provided by the CDN, and image options can be specified with the Query Parameters below.\n\n### CDN Query Parameter\n- `w` : Width in pixels. If `h` is given, it scales down with the same aspect ratio. If both are absent, the original size is used.\n- `h` : Height in pixels. If `w` is given, it scales down with the same aspect ratio. If both are absent, the original size is used.\n- `f` : Output format. `jpeg`, `jpg`, `png`, `webp`. If absent: original format.\n- `q` : Compression quality. Default value: `85`","operationId":"getImage","parameters":[{"name":"id","in":"path","description":"Image ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"All responses return 200 (including success and failure) (5xx is exposed only in error conditions)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseImageDetail"}}}}}}}}}
```
